## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_with devel

# This spec file has been automatically updated
Version:	1.0
Release: %{?autorelease}%{!?autorelease:1%{?dist}}
Name: libunistring1.0
Summary: Compatibility version of GNU Unicode string library
License: GPL-2.0-or-later or LGPL-3.0-or-later
URL: https://www.gnu.org/software/libunistring/
Source0: https://ftp.gnu.org/gnu/libunistring/libunistring-%{version}.tar.xz
BuildRequires: gcc
BuildRequires: make
Provides: bundled(gnulib)
Conflicts: libunistring < 1.1
Provides: deprecated()

%description
This portable C library implements Unicode string types in three flavours:
(UTF-8, UTF-16, UTF-32), together with functions for character processing
(names, classifications, properties) and functions for string processing
(iteration, formatted output, width, word breaks, line breaks, normalization,
case folding and regular expressions).

This package contains the libunistring library version 1.0 and is
intended for compatibility reasons only.  Users are advised to update
to a newer version of libunistring.

%if %{with devel}
%package devel
Summary: GNU Unicode string library - development files
Requires: %{name}%{?_isa} = %{version}-%{release}
Conflicts: libunistring-devel
Provides: deprecated()

%description devel
Development files for programs using libunistring.

This package contains the libunistring library version 1.0 and is
intended for compatibility reasons only.  Users are advised to update
to a newer version of libunistring.
%endif

%prep
%autosetup -n libunistring-%{version}

%build
%configure --disable-static --disable-rpath
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_libdir}/libunistring.la
# Move staged docs so not picked up by %%doc in main package
mv $RPM_BUILD_ROOT%{_datadir}/doc/libunistring __doc

%if !%{with devel}
rm -f $RPM_BUILD_ROOT%{_infodir}/libunistring.info*
rm -f $RPM_BUILD_ROOT%{_libdir}/libunistring.so
rm -fr $RPM_BUILD_ROOT%{_includedir}/unistring
rm -f $RPM_BUILD_ROOT%{_includedir}/*.h
%endif

%files
%license COPYING COPYING.LIB
%doc AUTHORS NEWS README
%{_libdir}/libunistring.so.2*

%if %{with devel}
%files devel
%doc HACKING DEPENDENCIES THANKS ChangeLog
%doc __doc/*
%{_infodir}/libunistring.info*
%{_libdir}/libunistring.so
%{_includedir}/unistring
%{_includedir}/*.h
%endif

%changelog
## START: Generated by rpmautospec
* Mon Jan 20 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 25 2023 Daiki Ueno <dueno@redhat.com> - 1.0-1
- Initial compatibility package with libunistring 1.0
## END: Generated by rpmautospec
